@charset "UTF-8";

@font-face {
    font-family: 'DotGothic16';
    src: url('DotGothic16-Regular.woff') format('woff');
}

body {
    background-image: 
        url("basic-images/background.png"),  
        url("basic-images/skull-background.jpg");  
    
    background-size: 
        cover,  /* 上の背景を画面いっぱいに */
        250px;   /* 下の背景を 250px で繰り返し */
    
    background-repeat: 
        no-repeat,  /* 上の背景は繰り返さない */
        repeat;  /* 下の背景は繰り返す */
    
    background-attachment: 
        fixed,  /* 上の背景はスクロールしても固定 */
        scroll; /* 下の背景は通常スクロール */
    
    background-position: 
        center,  /* 上の背景を中央揃え */
        left top; /* 下の背景は左上基準 */
}

div {
    padding: 0;
    margin: 0;
}

a:link { color: white; }
a:visited { color: #777777; }
a:active { color: #777777; }

.toplogo {
    max-width: 500px;
    margin: auto;
    text-align: center;
  }
img {
    width: 100%;
}

.underconstruction {
    font-family: 'DotGothic16';
    font-size: 16pt;
    color: red;
    background-color: black;
    width: fit-content;
    margin: auto;
    text-align: center;
}

.topphoto {
    max-width: 400px;
    margin: auto;
    text-align: center;
}

.clickmessage1 {
    font-family: 'DotGothic16';
    font-size: 16pt;
    color: red;
    background-color: black;
    width: fit-content;
    margin: auto;
    text-align: center;
}

.clickmessage2 {
    font-family: 'DotGothic16';
    font-size: 12pt;
    color: red;
    background-color: black;
    width: fit-content;
    margin: auto;
    text-align: center;
}

.topmenu {
    max-width: 500px;
    display: block;
    margin: auto;
    text-align: center;
}

.copyrightmessage {
    font-family: 'DotGothic16';
    font-size: 10pt;
    color: red;
    background-color: black;
    width: fit-content;
    margin: auto;
    text-align: center;
}

.k {
    font-family: 'DotGothic16';
    text-align: center;
    margin: auto;
    font-size: 10pt;
    margin-top: 5px;
}

.goback{
    max-width: 200px;
    margin: auto;
    text-align: center;
}

.k a:link { color: purple; }
.k a:visited { color: purple; }
.k a:active { color: red; }


/*ここからスマホ*/
@media only screen and (max-width: 767px) {
    
    body{
        background-image: url("basic-images/skull-background.jpg");
        background-repeat: repeat;
        background-size: 50%;
    }
    div {
        padding: 0;
        margin: 0;
    }
    
    .toplogo {
        max-width: 100%;
        margin: auto;
        text-align: center;
      }
    img {
        width: 100%;
    }
    
    .underconstruction {
        font-family: 'DotGothic16';
        font-size: 5vw;
        color: red;
        background-color: black;
        width: fit-content;
        margin: auto;
        text-align: center;
    }

    .topphoto {
        max-width: 85%;
        margin: auto;
        text-align: center;
    }

    
    .clickmessage1 {
        font-family: 'DotGothic16';
        font-size: 5vw;
        color: red;
        background-color: black;
        width: fit-content;
        margin: auto;
        text-align: center;
    }
    
    .clickmessage2 {
        font-family: 'DotGothic16';
        font-size: 4vw;
        color: red;
        background-color: black;
        width: fit-content;
        margin: auto;
        text-align: center;
    }
    
    .topmenu {
        max-width: 100%;
        display: block;
        margin: auto;
        text-align: center;
    }
    
    .copyrightmessage {
        font-family: 'DotGothic16';
        font-size: 3vw;
        color: red;
        background-color: black;
        width: fit-content;
        margin: auto;
        text-align: center;
    }

    .k {
        font-family: 'DotGothic16';
        text-align: center;
        margin: auto;
        font-size: 10pt;
        margin-top: 5px;
    }
    
    .k a:link { color: purple; }
    .k a:visited { color: purple; }
    .k a:active { color: red; }

    .goback{
        max-width: 50%;
        margin: auto;
        text-align: center;
    }
    
}